POST
/
v1
/
teams
/
{teamId}
/
content
/
slideshows
/
{contentItemId}
/
render-jobs
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.createContentRenderJob({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  contentItemId: process.env.OCTOSPARK_CONTENT_ITEM_ID ?? "contentItemId",
  body: {},
})
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contentItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "artifactRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payloadRevision": 123,
  "creativeHash": "<string>",
  "rendererVersion": "<string>",
  "status": "<string>",
  "workflowId": "<string>",
  "outputWidth": 123,
  "outputHeight": 123,
  "slideCount": 123,
  "pixelCount": 123,
  "outputManifest": {},
  "durationMs": 123,
  "hostId": "<string>",
  "errorClass": "<string>",
  "errorCode": "<string>",
  "diagnostics": "<string>",
  "retryable": true,
  "createdAt": "<string>",
  "startedAt": "<string>",
  "completedAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

idempotency-key
string
required

a string at most 200 character(s) long

Required string length: 1 - 200

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

contentItemId
string<uuid>
required

Slideshow content item id (UUID), as returned by createSlideshow, createSlideshowGeneration, or listSlideshows.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Body

application/json
expectedRevision
integer
required

a positive number

profile
enum<string>

Render quality and output profile. Omit to use the normal final-render profile.

Available options:
cheap,
expensive
slideIds
string<uuid>[]

an array of at most 20 item(s)

Required array length: 1 - 20 elements

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Success

id
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
contentItemId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
artifactRunId
string<uuid> | null
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
payloadId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
payloadRevision
integer
required

an integer

creativeHash
string
required
rendererVersion
string
required
status
string
required
workflowId
string
required
outputWidth
integer
required

an integer

outputHeight
integer
required

an integer

slideCount
integer
required

an integer

pixelCount
integer
required

an integer

outputManifest
object
required
durationMs
integer | null
required

an integer

hostId
string | null
required
errorClass
string | null
required
errorCode
string | null
required
diagnostics
string | null
required
retryable
boolean | null
required
createdAt
string
required
startedAt
string | null
required
completedAt
string | null
required
updatedAt
string
required